package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.aps.common.BaseCode;
import cn.estsh.i3plus.pojo.aps.common.BeanRelation;
import cn.estsh.i3plus.pojo.aps.holders.EBaseOrder;
import com.fasterxml.jackson.annotation.JsonBackReference;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import java.util.Date;
import java.util.List;

/**
 * @Description :订单基类
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@MappedSuperclass
@Api("订单基类")
public class BaseOrder extends BaseCode {
    @Column(name="COUNT")
    @ApiParam(value ="数量")
    private Double count;

    @Column(name="PRIORITY")
    @ApiParam(value ="优先级")
    private Integer priority;

    @Column(name="LET")
    @ApiParam(value ="最晚结束时刻")
    private Date let;

    @Column(name="CALC_EST")
    @ApiParam(value ="最早开始时刻计算值")
    private Date calcEst;

    @Column(name="CALC_LET")
    @ApiParam(value ="最晚结束时刻计算值")
    private Date calcLet;

    @Column(name="PLAN_BEGIN")
    @ApiParam(value ="计划开始")
    private Date planBegin;

    @Column(name="PLAN_END")
    @ApiParam(value ="计划结束")
    private Date planEnd;

    @Column(name="RECEIVE_DATE")
    @ApiParam(value ="接单日期")
    private Date receiveDate;

    @Column(name="SPECIFY_MATERIAL_NUM")
    @ApiParam(value ="专料号")
    private String specifyMaterialNum;

    @Column(name="MATERIAL_ID")
    @ApiParam(value ="物料")
    @FieldAnnotation(property = false)
    private Long materialId;

    @JsonBackReference
    public List<Work> getWorks() {
        return BeanRelation.list(this, EBaseOrder.Works);
    }

    public Material getMaterial() {
        return BeanRelation.get(this, EBaseOrder.Material);
    }

    public void setMaterial(Material material) {
        this.materialId = material != null ? material.getId() : 0l;
        BeanRelation.set(this, EBaseOrder.Material, material);
    }

    @JsonBackReference
    public List<WorkRelation> getPrevRelations() {
        return BeanRelation.list(this, EBaseOrder.PrevRelations);
    }

    @JsonBackReference
    public List<WorkRelation> getPostRelations() {
        return BeanRelation.list(this, EBaseOrder.PostRelations);
    }

    @JsonBackReference
    public List<BaseOrder> getUpperOrders() {
        return BeanRelation.list(this, EBaseOrder.UpperOrders);
    }

    @JsonBackReference
    public List<BaseOrder> getLowerOrders() {
        return BeanRelation.list(this, EBaseOrder.LowerOrders);
    }
}
