package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.aps.common.BeanRelation;
import cn.estsh.i3plus.pojo.aps.holders.EResCalendar;
import com.fasterxml.jackson.annotation.JsonBackReference;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.List;

/**
 * @Description :日历
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_RES_CALENDAR")
@Api("日历")
public class ResCalendar extends BaseAPS {
    @Column(name="RES_CODES")
    @ApiParam(value ="资源代码")
    private String resCodes;

    @Column(name="WEEKS")
    @ApiParam(value ="星期")
    private Integer weeks;

    @Column(name="DATES")
    @ApiParam(value ="时间")
    private String dates;

    @Column(name="SHIFT_CODES")
    @ApiParam(value ="班次代码")
    private String shiftCodes;

    @Column(name="PRIORITY")
    @ApiParam(value ="优先级")
    private Integer priority;

    @JsonBackReference
    public List<DayShift> getDayShifts() {
        return BeanRelation.list(this, EResCalendar.DayShifts);
    }

    @JsonBackReference
    public List<Resource> getResources() {
        return BeanRelation.list(this, EResCalendar.Resources);
    }
}
