package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseCode;
import cn.estsh.i3plus.pojo.aps.enums.DIRECTION;
import cn.estsh.i3plus.pojo.aps.enums.RES_COMB_LOCK_TYPE;
import cn.estsh.i3plus.pojo.aps.enums.RES_COMB_TIME_TYPE;
import cn.estsh.i3plus.pojo.aps.enums.TAIL_DEAL;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 标准工序
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_STAND_OPERATION")
@Api("标准工序")
public class StandOperation extends BaseCode {
    @Column(name="RATIO")
    @ApiParam(value ="分割比例")
    private String ratio;

    @Column(name="COUNT")
    @ApiParam(value ="分割的工作个数")
    private Integer count;

    @Column(name="BATCH")
    @ApiParam(value ="分割批量")
    private Double batch;

    @Column(name="DIRECTION")
    @ApiParam(value ="排程方向")
    private DIRECTION direction;

    @Column(name="COMB_TYPE")
    @ApiParam(value ="生产组合方式")
    private RES_COMB_TIME_TYPE combType;

    @Column(name="LOCK_TYPE")
    @ApiParam(value ="锁定组合方式")
    private RES_COMB_LOCK_TYPE lockType;
}
