package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.aps.common.BeanRelation;
import cn.estsh.i3plus.pojo.aps.holders.EWorkPlan;
import cn.estsh.i3plus.pojo.aps.holders.EWorkRelation;
import io.swagger.annotations.Api;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :工作计划
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-10-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="APS_WORK_PLAN")
@Api("工作计划")
public class WorkPlan extends BaseAPS {
    private Date prevSetStart;
    private Date prevSetEnd;
    private String prevSetTime;
    private Date produceStart;
    private Date produceEnd;
    private String produceTime;
    private Date postSetStart;
    private Date postSetEnd;
    private String postSetTime;
    private Date lockStart;
    private Date lockEnd;
    private String lockTime;

    private Date edgeTime;

    private Long workId;
    private Long resourceId;

    public Work getWork() { return BeanRelation.get(this, EWorkPlan.Work); }

    public void setWork(Work work) {
        this.workId = work != null ? work.getId() : 0l;
        BeanRelation.set(this, EWorkPlan.Work, work);
    }

    public Resource getResource() { return BeanRelation.get(this, EWorkPlan.Resource); }

    public void setResource(Resource resource) {
        this.resourceId = resource != null ? resource.getId() : 0l;
        BeanRelation.set(this, EWorkPlan.Resource, resource);
    }
}
