package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :PLC设备信息配置表
 * @Reference :
 * @Author : Crish
 * @CreateDate : 2019-05-17
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PLC_CONFIGURE")
@Api("PLC设备信息配置表")
public class MesPLCConfigure extends BaseBean {
    @Column(name = "IP")
    @ApiParam("设备ip")
    private String ipAddress;

    @Column(name = "CHANNEL_NAME")
    @ApiParam("通道名称")
    private String channelName;

    @Column(name = "DEVICE_NAME")
    @ApiParam("设备地址")
    private String deviceName;

    @Column(name = "TAG_NAME")
    @ApiParam("标签地址")
    private String tagName;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元")
    private String workCellCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

}
