package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author: Wynne.Lu
 * @CreateDate: 2019/7/30 9:30 AM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_ESOP")
@Api("作业指导书信息表(ODS)")
public class MesESOP extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("零件号")
    private String partNo;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "PROCESS_CODE")
    @ApiParam("工序代码")
    private String processCode;

    @Column(name = "STEP_CODE")
    @ApiParam("工步代码")
    private String stepCode;

    @Column(name = "STEP_SEQ")
    @ApiParam("工步序号")
    private Integer stepSeq;

    @Column(name = "SOP_NAME")
    @ApiParam("SOP名称")
    private String sopName;

    @Column(name = "SOP_URL")
    @ApiParam("SOP_URL")
    private String sopUrl;

    @Column(name = "GROUP_NAME")
    @ApiParam("GROUP_NAME")
    private String groupName;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("FILE_ORIGIN_NAME")
    private String fileOriginName;

    @Column(name = "FILE_SIZE")
    @ApiParam("FILE_SIZE")
    private String fileSize;

    @Column(name = "FILE_TYPE_ID")
    @ApiParam("FILE_TYPE_ID")
    private String fileTypeId;

    @Column(name = "FILE_TYPE_NAME")
    @ApiParam("FILE_TYPE_NAME")
    private String fileTypeName;

    @Column(name = "SYNC_TAG")
    @ApiParam("SYNC_TAG")
    private Integer syncTag = 0;

}
