package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate:2019\10\9 0009
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_PLC")
@Api("PLC配置表")
public class MesPlc extends BaseBean {

    @Column(name = "PLC_CODE")
    @ApiParam("PLC代码")
    private String plcCode;

    @Column(name = "PLC_NAME")
    @ApiParam("PLC名称")
    private String plcName;

    @Column(name = "PLC_MODEL")
    @ApiParam("PLC型号")
    private String plcModel;

    @Column(name = "PLC_IP")
    @ApiParam("PLC IP")
    private String plcIp;

    @Column(name = "CHANNEL")
    @ApiParam("通道")
    private String channel;

    @Column(name = "TAG_NAME")
    @ApiParam("标签名称")
    private String tagName;

    @Column(name = "TAG_ADDRESS")
    @ApiParam("标签地址")
    private String tagAddress;

    @Column(name = "DATA_TYPE")
    @ApiParam("标签数据类型")
    private String dataType;

    @Column(name = "GROUP_NAME")
    @ApiParam("分组名称")
    private String groupName;

    @Column(name = "EQUIPMENT_CODE")
    @ApiParam("设备代码")
    private String equipmentCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("生产线")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位")
    private String workCellCode;

    @Column(name = "PLC_CFG")
    @ApiParam("PLC的值的设定")
    private String plcCfg;

    @Column(name = "ANALYSIS_RULE")
    @ApiParam("解析规则")
    private String analysisRule;

    @Column(name = "IS_ANALYSIS")
    @ApiParam("是否解析")
    private String isAnalysis;

    @Transient
    @ApiParam("设备名称")
    private String equipmentName;
}
